package _VisualDVM.Passes.All;
import Common.Visual.Windows.Dialog.VFileChooser;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Utils;

import java.io.File;
import java.util.Vector;
public class CreateTestsFromFiles extends PublishTests {
    VFileChooser fileChooser = new VFileChooser("Выберите файлы для создания тестов");
    @Override
    protected PassCode getCreateTestCode() {
        return PassCode.CreateTestFromFile;
    }
    @Override
    protected String getNoFilesMessage() {
        return "ни одного файла";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (Global.testingServer.db.groups.getUI().canModifyCurrent(Log)) {
            Utils.ChooserProjectsSearchDirectory(fileChooser);
            Vector<File> files = fileChooser.ShowMultiDialog();
            if (files.isEmpty()) {
                Log.Writeln_("Не выбрано ни одного файла.");
                return false;
            }
            Global.mainModule.getPass(PassCode.UpdateProperty).Do("ProjectsSearchDirectory", fileChooser.getCurrentDirectory().getAbsolutePath());
            return super.canStart(files, Global.testingServer.db.groups.getUI().getCurrent());
        }
        return false;
    }
}
